Get /api/v3/dashboard/{dashboardId}/share

Operation: GetDashboardShareV3

Summary

Get the individual users and user groups a dashboard is shared with
For a dashboard to be returned you must have created the dashboard
or have DashboardAdministrator Manage permission and the dashboard is shared at all
or have DashboardAdministrator Manage permission and the dashboard is public
or have SharedDashboardsOrMaps View permission and the dashboard is shared with you

Path and Query Parameters

Parameter Description Type Location
dashboardId Dashboard IdentifierRequired integer Path

Response Parameters

HTTP 200


Body Parameters

Content Type: application/json

Type Reference: ShareResponse

Parameter Description Type
sharedWithEveryone True if the item is shared with everyone boolean
sharedUsers The list of individual users an item has been assigned to be shared with
This does NOT take into account users that are in a shared user group
UserChild [Array]
   userId The user identifier integer
   userCode The user code string
   fullName The user’s full name string
sharedUserGroups The list of user groups an item has been assigned to be shared with UserGroupChild [Array]
   userGroupId The user group identifier integer
   userGroupName The user group name string

Responses

HTTP 200

Body

Content Type: application/json
{
  "sharedWithEveryone": false,
  "sharedUsers": [
    {
      "userId": 1,
      "userCode": "string",
      "fullName": "string"
    }
  ],
  "sharedUserGroups": [
    {
      "userGroupId": 1,
      "userGroupName": "string"
    }
  ]
}